# Request Adjust Concessional

Produces a Request to Adjust Concessional Contributions report for the specified fund, facilitating the formal submission to the ATO for adjusting a member's concessional contribution amounts within the applicable cap.

Endpoint: POST /f/{businessCode}/{fundCode}/report-data/report-generator/RequestAdjustConcessional
Version: 1.0
Security: Class_oAuth

## Path parameters:

  - `businessCode` (string, required)
    Class business code

  - `fundCode` (string, required)
    Class entity code

## Query parameters:

  - `outputFormat` (string, required)
    Specifies the desired output format for the generated report. Accepted values are pdf, csv, or rtf.

  - `year` (integer, required)
    The financial year to retrieve information

  - `isReportHeader` (string)
    This will turn on the report header logo.

  - `isRounding` (string)
    Indicates whether monetary amounts in the report should be rounded to the nearest whole dollar.

  - `isDraftWM` (string)
    This will turn on a draft watermark on each page.

  - `isDollarSign` (string)
    This will display a '$' in the report.

  - `isNegativeAmt` (string)
    To display negative amounts with brackets or a minus sign.

  - `isPageFooter` (string)
    This will turn on the page footer.

## Header parameters:

  - `Content-Type` (string, required)
    Specifies the media type expected in the response. Must always be set to application/pdf regardless of the desired output format.

## Response 400 fields (application/json):

  - `Errors` (array)

  - `Errors.code` (string)

  - `Errors.message` (string)

## Response 401 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_AUTHORISED

  - `Errors.Message` (string)
    Example: Not authorised

## Response 403 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: FORBIDDEN

  - `Errors.Message` (string)
    Example: You do not have permission to access this resource.

## Response 404 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_FOUND

  - `Errors.Message` (string)
    Example: Resource not available or user does not have access to the fund.

## Response 500 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

## Response default fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

